Bug 257741 - Review Request: g2clib - GRIB2 encoder/decoder and search/indexing routines in C
Review Request: g2clib - GRIB2 encoder/decoder and search/indexing routines in C
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 381241
  Show dependency treegraph
 
Reported: 2007-08-27 15:36 EDT by Patrice Dumas
Modified: 2007-12-28 12:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-14 18:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-08-27 15:36:35 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/g2clib.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/g2clib-1.0.4-1.fc8.src.rpm
Description: 

This library contains "C" decoder/encoder
routines for GRIB edition 2.  The user API for the GRIB2 routines
is described in file "grib2c.doc".
Comment 1 Orion Poplawski 2007-12-13 23:55:42 EST
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files

I went ahead and updated to 1.0.5:

http://www.cora.nwra.com/~orion/fedora/g2clib-1.0.5-1.fc8.src.rpm

Question:

  License is listed as Public Domain.  I agree that this is probably the case as
it is US Gov. work, but there seems to be absolutely no mention of this anywhere
in the source.  Not sure if this is necessary for public domain.  CC'ing Spot
for clarification.

  Does upstream has any interest in supporting building shared libraries?

  Otherwise, everything looks good.
Comment 2 Patrice Dumas 2007-12-14 03:50:56 EST
I have asked clarification about the license and they confirmed 
that it is public domain.

I don't know about shared libraries, but upstream is not easily 
contacted, there is a person who answers mails and could answer the 
license issue, but for technical issues it is passed to other
people and they never responded to my request to rename the 
fortran lib to avoid name clashes.

But you can contact them if you want.
Comment 3 Tom "spot" Callaway 2007-12-14 06:10:14 EST
It's probably Public Domain, especially given that it is a US Government created
work. Nevertheless, if you've got that clarification where upstream confirms
that it is public domain, include a copy of that email as a text file in the
package.
Comment 5 Orion Poplawski 2007-12-14 12:15:56 EST
Looks good to me.  Approved.  Please add me as a co-owner so I can keep track of
changes (so I can rebuild ncl as needed).
Comment 6 Patrice Dumas 2007-12-14 13:20:00 EST
New Package CVS Request
=======================
Package Name: g2clib
Short Description: GRIB2 encoder/decoder and search/indexing routines in C
Owners: pertusus, orion
Branches: EL-4 EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: Yes
Comment 7 Kevin Fenzi 2007-12-14 14:50:59 EST
cvs done.
Comment 8 Patrice Dumas 2007-12-14 18:55:57 EST
Built in all branches, thanks.
Comment 9 Fedora Update System 2007-12-15 12:47:26 EST
g2clib-1.0.5-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update g2clib'
Comment 10 Fedora Update System 2007-12-15 12:51:32 EST
g2clib-1.0.5-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update g2clib'
Comment 11 Fedora Update System 2007-12-28 12:14:19 EST
g2clib-1.0.5-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-12-28 12:14:26 EST
g2clib-1.0.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.